<template>
  <div class="auth-page flex items-center justify-center">
    <div class="auth-page__panel col row">
      <div class="auth-page__panel-logo col column items-center no-wrap">
        <span class="auth-page__title q-pb-xl">elu.blog</span>
        <img src="../assets/svg/Logo.svg" class="col" alt="" />
      </div>
      <div class="auth-page__panel-form col">
        <form class="auth-page__auth-form flex">
          <h1 class="text-h1 q-mb-md">Login</h1>
          <span class="text-subtitle1 full-width q-mb-md">
            Welcome back. Login to your account.
          </span>
          <div class="q-gutter-y-md full-width">
            <q-input
              v-model="authData.login"
              type="text"
              label="Login"
              outlined
              class="default-input"
            />
            <q-input
              v-model="authData.password"
              type="text"
              label="Password"
              outlined
              class="default-input"
            />
            <q-btn
              unelevated
              color="primary"
              text-color="secondary"
              icon="check"
              label="login"
              @click="auth()"
              style="min-width: 50%"
            />
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script setup>
import { reactive, computed } from "vue";
import { useStore } from "vuex";
import { auth as _auth, getCurrentUser } from "../services/userService";
import { routerInstance as router } from "../router/index";
const store = useStore();
const authData = reactive({
  login: "elu.work21@gmail.com",
  password: "passw0rd$01081337",
});
async function auth() {
  const token = await _auth({
    email: authData.login,
    password: authData.password,
  });
  if (token) {
    localStorage.setItem("auth_token", token);
    const userData = await getCurrentUser(token);
    store.commit("userModule/setUser", userData);
    router.push({ name: "Index" });
  }
}
</script>

<style lang="scss" scoped>
.auth-page {
  padding-left: 7.2vw;
  padding-right: 7.2vw;
  &__title {
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 64px;
    line-height: 77px;
    color: #ffffff;
  }
  &__panel {
    width: 1000px;
    height: 600px;
    @media (max-width: 1200px) {
      width: 100%;
    }
    @media (max-width: 960px) {
      max-width: 70%;
      height: 100%;
    }
    @media (max-width: 640px) {
      max-width: 100%;
    }
  }
  &__panel-logo {
    padding: 5.5vw 9.72vw;
    background-color: #2e3138;
    @media (max-width: 960px) {
      display: none;
    }
    > img {
      height: 100%;
    }
  }
  &__panel-form {
    background-color: #272930;
    padding: 5.5vw 9.72vw;
  }
}
</style>
